Vantaj

Incidents

Get an incident

Retrieve a single incident by its ID.

GEThttps://api.vantaj.co/v1/incidents/{id}

Requires an API key with the incidents:read scope.

Authorizations

Authorizationstringheaderrequired

Bearer authentication using your API key: Authorization: Bearer <token>

Path parameters

idstring<uuid>required

The incident ID.

Get an incident
cURL
curl --request GET \
  --url 'https://api.vantaj.co/v1/incidents/<id>' \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "c4d5e6f7-a8b9-0c1d-2e3f-4a5b6c7d8e9f",
    "title": "API Gateway is down",
    "severity": "critical",
    "status": "open",
    "monitor_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "heartbeat_id": null,
    "domain_id": null,
    "started_at": "2026-06-21T11:58:00Z",
    "resolved_at": null,
    "error_message": "Connection timed out",
    "status_code": null,
    "trigger_region": "iad",
    "affected_regions": [
      "iad",
      "lhr"
    ],
    "created_at": "2026-06-21T11:58:00Z"
  }
}